
Ryzom - Bug # 1354

Status: Validated Priority: Normal
Author: Sywindt Category:
Created: 08/29/2011 Assignee:
Updated: 12/07/2011 Due date:
Subject: Localized crash Mac 10.7.1
Description

Hi,

A player reported repeated crashes when logging in one of his characters (other one logs in fine.)

This crash seems unrelated to other reports. Can anybody shed some light on what may be the cause?

History
#1 - 09/02/2011 11:45 pm - Sywindt

I have since had another player with the same problem it appears:

Process:         ryzom_client [4888]
Path:            /Applications/Ryzom.app/Contents/MacOS/ryzom_client
Identifier:      com.winchgate.Ryzom
Version:         1.12.1 (1.12.1)
App Item ID:     427774253
App External ID: 3817927
Code Type:       X86-64 (Native)
Parent Process:  launchd [137]

Date/Time:       2011-08-29 19:18:03.379 -0400
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Interval Since Last Report:          198547 sec
Crashes Since Last Report:           13
Per-App Interval Since Last Report:  139989 sec
Per-App Crashes Since Last Report:   13
Anonymous UUID:                      0847701A-6FA1-454C-81C5-FF60872E82CB

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000100000000-0000000101c5b000 [ 28.4M] r-x/rwx SM=COW  /Applications/Ryzom.app/Contents/MacOS/ryzom_client

Application Specific Information:
objc4888: garbage collection is OFF
Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   ???                               000000000000000000 0 + 0
1   com.winchgate.Ryzom               0x0000000100fa859b NL3D::CWaterHeightMap::~CWaterHeightMap() + 2571
2   com.winchgate.Ryzom               0x0000000100fad343 NL3D::CWaterHeightMap::~CWaterHeightMap() + 22451
3   com.winchgate.Ryzom               0x0000000100e8d940 NL3D::CTrackDefaultRGBA::~CTrackDefaultRGBA() + 15776
4   com.winchgate.Ryzom               0x0000000100e937cf NL3D::CRootModel::creator() + 4975
5   com.winchgate.Ryzom               0x0000000100ead83c std::vector<NLMISC::CPolygon, std::allocator<NLMISC::CPolygon> >::_M_fill_insert(_
gnu_cxx::_normal_iterator<NLMISC::CPolygon*, std::vector<NLMISC::CPolygon, std::allocator<NLMISC::CPolygon> > >, unsigned long,
NLMISC::CPolygon const&) + 8268
6   com.winchgate.Ryzom               0x00000001001f5088 CXDeltaPatch::~CXDeltaPatch() + 8360
7   com.winchgate.Ryzom               0x00000001001f7931 CXDeltaPatch::~CXDeltaPatch() + 18769
8   com.winchgate.Ryzom               0x00000001002000f5 CXDeltaPatch::~CXDeltaPatch() + 53525
9   com.winchgate.Ryzom               0x0000000100063efa std::_Rb_tree<std::string, std::pair<std::string const, CClientConfig::SSysInfoParam>,
std::_Select1st<std::pair<std::string const, CClientConfig::SSysInfoParam> >, std::less<std::string>, std::allocator<std::pair<std::string const,
CClientConfig::SSysInfoParam> > >::_M_insert_unique(std::_Rb_tree_iterator<std::pair<std::string const, CClientConfig::SSysInfoParam> >,
std::pair<std::string const, CClientConfig::SSysInfoParam> const&) + 5914
10  com.winchgate.Ryzom               0x0000000100005854 0x100000000 + 22612

Thread 1:
0   libsystem_kernel.dylib            0x00007fff903f3e42 _semwait_signal + 10
1   libsystem_c.dylib                 0x00007fff874cadea nanosleep + 164
2   com.winchgate.Ryzom               0x000000010096b38b std::vector<NLMISC::TCommandParams, std::allocator<NLMISC::TCommandParams>
>::_M_insert_aux(_gnu_cxx::__normal_iterator<NLMISC::TCommandParams*, std::vector<NLMISC::TCommandParams,
std::allocator<NLMISC::TCommandParams> > >, NLMISC::TCommandParams const&) + 5019
3   com.winchgate.Ryzom               0x00000001001ecff6 CLoginProgressTask::run() + 918
4   com.winchgate.Ryzom               0x00000001009c2b52 std::vector<NLMISC::CFixedSizeAllocator*, std::allocator<NLMISC::CFixedSizeAllocator*>
>::_M_fill_insert(_gnu_cxx::_normal_iterator<NLMISC::CFixedSizeAllocator**, std::vector<NLMISC::CFixedSizeAllocator*,
std::allocator<NLMISC::CFixedSizeAllocator*> > >, unsigned long, NLMISC::CFixedSizeAllocator* const&) + 1810
5   libsystem_c.dylib                 0x00007fff875148bf _pthread_start + 335
6   libsystem_c.dylib                 0x00007fff87517b75 thread_start + 13

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib            0x00007fff903f47e6 kevent + 10
1   libdispatch.dylib                 0x00007fff8a32660e _dispatch_mgr_invoke + 923
2   libdispatch.dylib                 0x00007fff8a32519e _dispatch_mgr_thread + 54

Thread 3:
0   libsystem_kernel.dylib            0x00007fff903f3e42 _semwait_signal + 10
1   libsystem_c.dylib                 0x00007fff874cadea nanosleep + 164
2   com.winchgate.Ryzom               0x000000010096b38b std::vector<NLMISC::TCommandParams, std::allocator<NLMISC::TCommandParams>
>::_M_insert_aux(_gnu_cxx::__normal_iterator<NLMISC::TCommandParams*, std::vector<NLMISC::TCommandParams,
std::allocator<NLMISC::TCommandParams> > >, NLMISC::TCommandParams const&) + 5019
3   com.winchgate.Ryzom               0x000000010095eda7 NLMISC::ERegisteredClass::~ERegisteredClass() + 919
4   com.winchgate.Ryzom               0x000000010013b37a std::vector<PVP_CLAN::CFactionWar, std::allocator<PVP_CLAN::CFactionWar>
>::_M_insert_aux(_gnu_cxx::_normal_iterator<PVP_CLAN::CFactionWar*, std::vector<PVP_CLAN::CFactionWar,
std::allocator<PVP_CLAN::CFactionWar> > >, PVP_CLAN::CFactionWar const&) + 1498
5   com.winchgate.Ryzom               0x000000010013fa95 std::vector<PVP_CLAN::CFactionWar, std::allocator<PVP_CLAN::CFactionWar>
>::_M_insert_aux(_gnu_cxx::_normal_iterator<PVP_CLAN::CFactionWar*, std::vector<PVP_CLAN::CFactionWar,
std::allocator<PVP_CLAN::CFactionWar> > >, PVP_CLAN::CFactionWar const&) + 19701
6   com.winchgate.Ryzom               0x000000010095ed28 NLMISC::ERegisteredClass::~ERegisteredClass() + 792
7   com.winchgate.Ryzom               0x00000001009c2b52 std::vector<NLMISC::CFixedSizeAllocator*, std::allocator<NLMISC::CFixedSizeAllocator*>
>::_M_fill_insert(_gnu_cxx::_normal_iterator<NLMISC::CFixedSizeAllocator**, std::vector<NLMISC::CFixedSizeAllocator*,
std::allocator<NLMISC::CFixedSizeAllocator*> > >, unsigned long, NLMISC::CFixedSizeAllocator* const&) + 1810
8   libsystem_c.dylib                 0x00007fff875148bf _pthread_start + 335
9   libsystem_c.dylib                 0x00007fff87517b75 thread_start + 13

Thread 4:
0   libsystem_kernel.dylib            0x00007fff903f3e42 _semwait_signal + 10
1   libsystem_c.dylib                 0x00007fff874cadea nanosleep + 164
2   com.winchgate.Ryzom               0x000000010096b38b std::vector<NLMISC::TCommandParams, std::allocator<NLMISC::TCommandParams>
>::_M_insert_aux(_gnu_cxx::__normal_iterator<NLMISC::TCommandParams*, std::vector<NLMISC::TCommandParams,
std::allocator<NLMISC::TCommandParams> > >, NLMISC::TCommandParams const&) + 5019
3   com.winchgate.Ryzom               0x000000010029309a std::_Rb_tree<std::string, std::pair<std::string const, CRosaceContext>,
std::_Select1st<std::pair<std::string const, CRosaceContext> >, std::less<std::string>, std::allocator<std::pair<std::string const, CRosaceContext> >
>::_M_erase(std::_Rb_tree_node<std::pair<std::string const, CRosaceContext> >) + 7642
4   com.winchgate.Ryzom               0x00000001009c2b52 std::vector<NLMISC::CFixedSizeAllocator,
std::allocator<NLMISC::CFixedSizeAllocator*> >::_M_fill_insert(_gnu_cxx::_normal_iterator<NLMISC::CFixedSizeAllocator**,
std::vector<NLMISC::CFixedSizeAllocator*, std::allocator<NLMISC::CFixedSizeAllocator*> > >, unsigned long, NLMISC::CFixedSizeAllocator* const&)
+ 1810
5   libsystem_c.dylib                 0x00007fff875148bf _pthread_start + 335
6   libsystem_c.dylib                 0x00007fff87517b75 thread_start + 13

Thread 5:
0   libsystem_kernel.dylib            0x00007fff903f3e42 _semwait_signal + 10
1   libsystem_c.dylib                 0x00007fff874cadea nanosleep + 164
2   com.winchgate.Ryzom               0x000000010096b38b std::vector<NLMISC::TCommandParams, std::allocator<NLMISC::TCommandParams>
>::_M_insert_aux(_gnu_cxx::__normal_iterator<NLMISC::TCommandParams*, std::vector<NLMISC::TCommandParams,
std::allocator<NLMISC::TCommandParams> > >, NLMISC::TCommandParams const&) + 5019
3   com.winchgate.Ryzom               0x000000010055d1cf CWebigNotificationThread::run() + 31
4   com.winchgate.Ryzom               0x00000001009c2b52 std::vector<NLMISC::CFixedSizeAllocator*, std::allocator<NLMISC::CFixedSizeAllocator*>
>::_M_fill_insert(_gnu_cxx::_normal_iterator<NLMISC::CFixedSizeAllocator**, std::vector<NLMISC::CFixedSizeAllocator*,
std::allocator<NLMISC::CFixedSizeAllocator*> > >, unsigned long, NLMISC::CFixedSizeAllocator* const&) + 1810
5   libsystem_c.dylib                 0x00007fff875148bf _pthread_start + 335
6   libsystem_c.dylib                 0x00007fff87517b75 thread_start + 13

Thread 6:
0   libsystem_kernel.dylib            0x00007fff903f3e42 _semwait_signal + 10
1   libsystem_c.dylib                 0x00007fff874cadea nanosleep + 164
2   com.winchgate.Ryzom               0x000000010096b38b std::vector<NLMISC::TCommandParams, std::allocator<NLMISC::TCommandParams>
>::_M_insert_aux(_gnu_cxx::__normal_iterator<NLMISC::TCommandParams*, std::vector<NLMISC::TCommandParams,
std::allocator<NLMISC::TCommandParams> > >, NLMISC::TCommandParams const&) + 5019
3   com.winchgate.Ryzom               0x0000000100a010c2 NLMISC::AvailableHDSpaceClass::fromString(std::string const&, bool) + 6050
4   com.winchgate.Ryzom               0x00000001009c2b52 std::vector<NLMISC::CFixedSizeAllocator*, std::allocator<NLMISC::CFixedSizeAllocator*>
>::_M_fill_insert(_gnu_cxx::_normal_iterator<NLMISC::CFixedSizeAllocator**, std::vector<NLMISC::CFixedSizeAllocator*,
std::allocator<NLMISC::CFixedSizeAllocator*> > >, unsigned long, NLMISC::CFixedSizeAllocator* const&) + 1810
5   libsystem_c.dylib                 0x00007fff875148bf _pthread_start + 335
6   libsystem_c.dylib                 0x00007fff87517b75 thread_start + 13

Thread 7:
0   libsystem_kernel.dylib            0x00007fff903f4192 __workq_kernreturn + 10
1   libsystem_c.dylib                 0x00007fff87516594 _pthread_wqthread + 758
2   libsystem_c.dylib                 0x00007fff87517b85 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000101dd0fc8  rcx: 0x000000000000001b  rdx: 0x00007fff5fbfe930
  rdi: 0x0000000000000000  rsi: 0x0000000000001406  rbp: 0x00007fff5fbfe9a0  rsp: 0x00007fff5fbfe878
   r8: 0x000000000000009b   r9: 0x0000000000000000  r10: 0x0000000000000001  r11: 0x0000000000000001
  r12: 0x0000000102a1be00  r13: 0x00007fff5fbfe930  r14: 0x0000000000000000  r15: 0x00000000ffffffff
  rip: 0x0000000000000000  rfl: 0x0000000000010246  cr2: 0x0000000000000000
Logical CPU: 3

Binary Images:
       0x100000000 -        0x101c5afef com.winchgate.Ryzom (1.12.1 - 1.12.1) <D25DE134-069F-3942-A302-B0493780A17D>
/Applications/Ryzom.app/Contents/MacOS/ryzom_client
       0x1023ca000 -        0x1023f5fff  com.apple.audio.OpenAL (1.5 - 1.5) <CC1E3462-AE6E-3A97-BCC6-7F6096DA7A95>
/System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
       0x107089000 -        0x1070b7ff7  GLRendererFloat (? - ?) <AB59F7EA-62B1-3AA6-B940-47C0B6BC6DD9>
/System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x109622000 -        0x1097baff7  GLEngine (? - ?) <EE6CCAE3-1CA1-3C5E-A83C-BB56AB413AB3>
/System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x1097ed000 -        0x1098e6fff  libGLProgrammability.dylib (? - ?) <7B17211F-D04C-3916-8176-1930C24BA421>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x10990c000 -        0x10a96bfff  com.apple.driver.AppleIntelHDGraphicsGLDriver (7.4.10 - 7.0.4)
<BCF42F60-1CDE-3E76-A7EE-0AE03F7FD8B8>
/System/Library/Extensions/AppleIntelHDGraphicsGLDriver.bundle/Contents/MacOS/AppleIntelHDGraphicsGLDriver
    0x7fff6109c000 -     0x7fff610d0ac7  dyld (195.5 - ?) <4A6E2B28-C7A2-3528-ADB7-4076B9836041> /usr/lib/dyld
    0x7fff85753000 -     0x7fff85761ff7  libkxld.dylib (? - ?) <65BE345D-6618-3D1A-9E2B-255E629646AA> /usr/lib/system/libkxld.dylib
    0x7fff85cb2000 -     0x7fff85e15fff  com.apple.CFNetwork (520.0.13 - 520.0.13) <67E3BB43-2A22-3F5A-964E-391375B24CE0>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff85e16000 -     0x7fff85e8bff7  libc+.1.dylib (19.0.0 - compatibility 1.0.0) <C0EFFF1B-0FEB-3F99-BE54-506B35B555A9> /usr/lib/libc++.1.dylib
    0x7fff85e8c000 -     0x7fff85e97fff  com.apple.CommonAuth (2.1 - 2.0) <49949286-61FB-3A7F-BF49-0EBA45E2664E>
/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff85e98000 -     0x7fff85ee6ff7  libauto.dylib (? - ?) <F0004B88-CA01-37D0-A77F-6651C4EC7D8E> /usr/lib/libauto.dylib
    0x7fff85ee7000 -     0x7fff85ef4fff  libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <931F40EB-CA75-3A90-AC97-4DB8E210BC76>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff85ef5000 -     0x7fff860c8ff7  com.apple.CoreFoundation (6.7 - 635) <57446B22-0778-3E07-9690-96AC705D57E8>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff860c9000 -     0x7fff860e6ff7  libxpc.dylib (77.16.0 - compatibility 1.0.0) <0A4B4775-29A9-30D6-956B-3BE1DBF98090>
/usr/lib/system/libxpc.dylib
    0x7fff860e7000 -     0x7fff860f2ff7  com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <7ADAAF5B-1D78-32F2-9FFF-D2E3FBB41C2B>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff86134000 -     0x7fff8613bff7  com.apple.CommerceCore (1.0 - 17) <AA783B87-48D4-3CA6-8FF6-0316396022F4>
/System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff86164000 -     0x7fff86176ff7  libsasl2.2.dylib (3.15.0 - compatibility 3.0.0) <6245B497-784B-355C-98EF-2DC6B45BF05C>
/usr/lib/libsasl2.2.dylib
    0x7fff86177000 -     0x7fff86316fff  com.apple.QuartzCore (1.7 - 269.0) <E0AFC745-4AC5-36E3-9827-E5344721071D>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff86317000 -     0x7fff863adff7  libvMisc.dylib (325.3.0 - compatibility 1.0.0) <AC5A384A-FA5A-3307-9CED-BD69E6F12A09>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff863ae000 -     0x7fff863b1fff  libRadiance.dylib (? - ?) <DCDA308D-4856-3631-B6D7-7A8B94169BC0>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff86431000 -     0x7fff8647cfff  com.apple.SystemConfiguration (1.11 - 1.11) <0B02FEC4-C36E-32CB-8004-2214B6793AE8>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8647d000 -     0x7fff86483fff  libGFXShared.dylib (? - ?) <DE6987C5-81AC-3AE6-84F0-138C9636D412>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8650c000 -     0x7fff86560ff7  com.apple.ScalableUserInterface (1.0 - 1) <1873D7BE-2272-31A1-8F85-F70C4D706B3B>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff865ba000 -     0x7fff86c889df  com.apple.CoreGraphics (1.600.0 - ?) <B3C42497-53F5-31BB-987E-D1E76746B0E4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff86c8f000 -     0x7fff86c94fff  com.apple.OpenDirectory (10.7 - 144) <E8AACF47-C423-3DCE-98F6-A811612B1B46>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff86c95000 -     0x7fff86c95fff  com.apple.CoreServices (53 - 53) <5946A0A6-393D-3087-86A0-4FFF6A305CC0>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff86e56000 -     0x7fff86e6bfff  com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <C061ECBB-7061-3A43-8A18-90633F943295>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff86e6c000 -     0x7fff86f33ff7  com.apple.ColorSync (4.7.0 - 4.7.0) <A29897D7-4B63-3BBB-B66C-710BE9CC01D8>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff86f34000 -     0x7fff8708dff7  com.apple.audio.toolbox.AudioToolbox (1.7 - 1.7) <296F10D0-A871-39C1-B8B2-9200AB12B5AF>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff87111000 -     0x7fff87113fff  libCVMSPluginSupport.dylib (? - ?) <2D21E6BE-CB20-3F76-8DCC-1CB0660A8A5B>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff871a2000 -     0x7fff874c5fff  com.apple.HIToolbox (1.7 - ?) <10FA3432-6638-39D9-8681-9E95298D239E>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff874c6000 -     0x7fff875a3fef  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <1D61CA57-3C6D-30F7-89CB-CC6F0787B1DC>
/usr/lib/system/libsystem_c.dylib
    0x7fff875a4000 -     0x7fff875e5fff  com.apple.QD (3.12 - ?) <4F3C5629-97C7-3E55-AF3C-ACC524929DA2>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff875f3000 -     0x7fff87620fe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <7B4D685D-939C-3ABE-8780-77A1889E0DE9>
/usr/lib/libSystem.B.dylib
    0x7fff8762f000 -     0x7fff87a5cfff  libLAPACK.dylib (? - ?) <4F2E1055-2207-340B-BB45-E4F16171EE0D>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff87ef3000 -     0x7fff87ff8ff7  libFontParser.dylib (? - ?) <22AADE96-E54D-3918-9DFA-1967F8B21E54>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff88053000 -     0x7fff88080ff7  com.apple.opencl (1.50.62 - 1.50.62) <616ADE61-11D1-3816-A255-3F0F80F2EAC8>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff88081000 -     0x7fff8809efff  libPng.dylib (? - ?) <75DA9F95-C2A1-3534-9F8B-14CFFDE2A290>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff880d5000 -     0x7fff88346fff  com.apple.CoreImage (7.77 - 1.0.1) <AB6ECCF3-4B04-3363-9158-08F305BF15FA>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff88398000 -     0x7fff883bcff7  com.apple.Kerberos (1.0 - 1) <2FF2569B-F59A-371E-AF33-66297F512CB3>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff883bd000 -     0x7fff883f8fff  com.apple.LDAPFramework (3.0 - 120.1) <0C23534F-A8E7-3144-B2B2-50F9875101E2>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8848a000 -     0x7fff88597fff  libJP2.dylib (? - ?) <D8257CEE-A1C3-394A-8193-6DB7C29A15A8>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff88598000 -     0x7fff885bffff  com.apple.PerformanceAnalysis (1.10 - 10) <2A058167-292E-3C3A-B1F8-49813336E068>
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff899d2000 -     0x7fff89a0efff  libsystem_info.dylib (? - ?) <BC49C624-1DAB-3A37-890F-6EFD46538424> /usr/lib/system/libsystem_info.dylib
    0x7fff89a0f000 -     0x7fff89a94ff7  com.apple.Heimdal (2.1 - 2.0) <E4CD970F-8DE8-31E4-9FC0-BDC97EB924D5>
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff89ab1000 -     0x7fff89ab6ff7  libsystem_network.dylib (? - ?) <4ABCEEF3-A3F9-3E06-9682-CE00F17138B7>
/usr/lib/system/libsystem_network.dylib
    0x7fff89ae5000 -     0x7fff89ae5fff  com.apple.Cocoa (6.6 - ?) <021D4214-9C23-3CD8-AFB2-F331697A4508>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff89ae6000 -     0x7fff89c1ffef  com.apple.vImage (5.0 - 5.0) <C45D2CBE-FA15-3D13-9E9D-A3BF57B84BBE>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff89c7d000 -     0x7fff89c94fff  com.apple.MultitouchSupport.framework (220.62 - 220.62) <7EF58A7E-CB97-335F-A025-4A0F00AEF896>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff89c95000 -     0x7fff89c9bfff  IOSurface (? - ?) <06FA3FDD-E6D5-391F-B60D-E98B169DAB1B>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff89c9c000 -     0x7fff89c9cfff  com.apple.ApplicationServices (41 - 41) <03F3FA8F-8D2A-3AB6-A8E3-40B001116339>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff89d1f000 -     0x7fff8a038fff  com.apple.CoreServices.CarbonCore (960.13 - 960.13) <398ABDD7-BB95-3C05-96D2-B54243FC4745>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8a059000 -     0x7fff8a0c7fff  com.apple.CoreSymbolication (2.1 - 67) <194A355B-58C7-3B1E-A714-00F71ACCDB0A>
/System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8a186000 -     0x7fff8a220ff7  com.apple.SearchKit (1.4.0 - 1.4.0) <B7573888-BAF6-333D-AB00-C0D2BF88DF0F>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8a221000 -     0x7fff8a237ff7  com.apple.ImageCapture (7.0 - 7.0) <69E6E2E1-777E-332E-8BCF-4F0611517DD0>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff8a238000 -     0x7fff8a24bff7  libCRFSuite.dylib (? - ?) <034D4DAA-63F0-35E4-BCEF-338DD7A453DD> /usr/lib/libCRFSuite.dylib
    0x7fff8a26a000 -     0x7fff8a2cafff  libvDSP.dylib (325.3.0 - compatibility 1.0.0) <74B62E70-4189-3022-8FC9-1182EA7C6E34>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff8a306000 -     0x7fff8a322ff7  com.apple.GenerationalStorage (1.0 - 124) <C0290CA0-A2A0-3280-9442-9D783883D638>
/System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff8a323000 -     0x7fff8a331fff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <698F8EFB-7075-3111-94E3-891156C88172>
/usr/lib/system/libdispatch.dylib
    0x7fff8a332000 -     0x7fff8a36bfe7  libssl.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <D634E4B6-672F-3F68-8B6F-C5028151A5B4>
/usr/lib/libssl.0.9.8.dylib
    0x7fff8a36c000 -     0x7fff8a39bfff  com.apple.DictionaryServices (1.2 - 158) <2CE51CD1-EE3D-3618-9507-E39A09C9BB8D>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff8a3b7000 -     0x7fff8a43bff7  com.apple.ApplicationServices.ATS (5.0 - ?) <F10B1918-A06E-3ECF-85EF-05F0CF27187E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8a547000 -     0x7fff8a548ff7  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <8BCA214A-8992-34B2-A8B9-B74DEACA1869>
/usr/lib/system/libsystem_blocks.dylib
    0x7fff8a549000 -     0x7fff8a59bff7  libGLU.dylib (? - ?) <C3CE8BA0-470F-3BCE-B17C-A31E70E035F2>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff8a59c000 -     0x7fff8a5a6ff7  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <39EF04F2-7F0C-3435-B785-BF283727FFBD>
/usr/lib/system/liblaunch.dylib
    0x7fff8a5aa000 -     0x7fff8a5bcff7  libz.1.dylib (1.2.5 - compatibility 1.0.0) <30CBEF15-4978-3DED-8629-7109880A19D4> /usr/lib/libz.1.dylib
    0x7fff8a5bd000 -     0x7fff8a5f7fef  com.apple.DebugSymbols (2.1 - 85) <7E0E17D9-C8D4-3117-B36A-506929F6FF72>
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8a5fc000 -     0x7fff8a63eff7  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <A5B9778E-11C3-3F61-B740-1F2114E967FB>
/usr/lib/system/libcommonCrypto.dylib
    0x7fff8a707000 -     0x7fff8a710fff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <BD08553D-8088-38A8-8007-CF5C0B8F0404>
/usr/lib/system/libnotify.dylib
    0x7fff8a80e000 -     0x7fff8a903fff  libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <5C40E880-0706-378F-B864-3C2BD922D926> /usr/lib/libiconv.2.dylib
    0x7fff8a913000 -     0x7fff8a913fff  com.apple.audio.units.AudioUnit (1.7 - 1.7) <D75971EE-0D74-365A-8E52-46558EA49E87>
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8a914000 -     0x7fff8a92bfff  com.apple.CFOpenDirectory (10.7 - 144) <9709423E-8484-3B26-AAE8-EF58D1B8FB3F>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff8a92c000 -     0x7fff8a996fff  com.apple.framework.IOKit (2.0 - ?) <F79E7690-EF97-3D04-BA22-177E256803AF>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8a997000 -     0x7fff8a9eafff  libFontRegistry.dylib (? - ?) <8FE14D77-1286-3619-A02E-0AC1A622596E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8abbf000 -     0x7fff8abc3fff  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <FF83AFF7-42B2-306E-90AF-D539C51A4542>
/usr/lib/system/libmathCommon.A.dylib
    0x7fff8abc4000 -     0x7fff8acc6ff7  libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <D46F371D-6422-31B7-BCE0-D80713069E0E>
/usr/lib/libxml2.2.dylib
    0x7fff8b214000 -     0x7fff8b21afff  com.apple.DiskArbitration (2.4 - 2.4) <5185FEA6-92CA-3CAA-8442-BD71DBC64AFD>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff8b21b000 -     0x7fff8b21cff7  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <C6C49FB7-1892-32E4-86B5-25AD165131AA>
/usr/lib/system/libremovefile.dylib
    0x7fff8b25f000 -     0x7fff8b571fff  com.apple.Foundation (6.7 - 833.1) <618D7923-3519-3C53-9CBD-CF3C7130CB32>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8b66e000 -     0x7fff8b6d5ff7  com.apple.audio.CoreAudio (4.0.0 - 4.0.0) <0B715012-C8E8-386D-9C6C-90F72AE62A2F>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8b6d6000 -     0x7fff8b738ff7  com.apple.coreui (0.3 - 162) <A752F9D0-1CAE-340F-B2D2-95EEF242B301>
/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8bcd4000 -     0x7fff8bd07fff  com.apple.GSS (2.1 - 2.0) <A150154E-40D3-345B-A92D-3A023A55AC52>
/System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff8bd08000 -     0x7fff8bd31fff  libJPEG.dylib (? - ?) <3DBFEB41-4BF2-3502-872A-BB3738EE61B0>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff8c5af000 -     0x7fff8c5b0fff  liblangid.dylib (? - ?) <CACBE3C3-2F7B-3EED-B50E-EDB73F473B77> /usr/lib/liblangid.dylib
    0x7fff8c5b9000 -     0x7fff8c5b9fff  com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <4CC14F7C-BCA7-3CAC-BEC9-B06576E5A15B>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8c5ba000 -     0x7fff8c5bdff7  com.apple.securityhi (4.0 - 1) <B37B8946-BBD4-36C1-ABC6-18EDBC573F03>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff8c5ca000 -     0x7fff8c609ff7  libcups.2.dylib (2.9.0 - compatibility 2.0.0) <DE681910-3F7F-3502-9937-AB8008CD281A> /usr/lib/libcups.2.dylib
    0x7fff8c7e1000 -     0x7fff8c7e2fff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <718A135F-6349-354A-85D5-430B128EFD57>
/usr/lib/system/libdnsinfo.dylib
    0x7fff8c7e3000 -     0x7fff8c7f2fff  com.apple.opengl (1.7.4 - 1.7.4) <38AF4430-7E81-3C98-9330-21DCDA90507E>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8c840000 -     0x7fff8c920fff  com.apple.CoreServices.OSServices (478.25.1 - 478.25.1) <E7FD4DB7-7844-355A-83D0-C1F24BE71019>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff8c921000 -     0x7fff8c97bfff  com.apple.HIServices (1.9 - ?) <8791E8AA-C034-330D-B2BA-5141154C21CD>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff8c97c000 -     0x7fff8ce23ff7  FaceCoreLight (1.4.2 - compatibility 1.0.0) <6F89E9A9-DEB6-32B5-8B50-3B97F5DB597D>
/System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff8ce2d000 -     0x7fff8ce31ff7  com.apple.CommonPanels (1.2.5 - 94) <0BB2C436-C9D5-380B-86B5-E355A7711259>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff8ce70000 -     0x7fff8ce76ff7  libunwind.dylib (30.0.0 - compatibility 1.0.0) <1E9C6C8C-CBE8-3F4B-A5B5-E03E3AB53231>
/usr/lib/system/libunwind.dylib
    0x7fff8ce98000 -     0x7fff8ceb5ff7  com.apple.openscripting (1.3.3 - ?) <A64205E6-D3C5-3E12-B1A0-72243151AF7D>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8ceb6000 -     0x7fff8cebbfff  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <98ECD5F6-E85C-32A5-98CD-8911230CB66A>
/usr/lib/system/libcompiler_rt.dylib
    0x7fff8cebc000 -     0x7fff8ceceff7  libbsm.0.dylib (? - ?) <349BB16F-75FA-363F-8D98-7A9C3FA90A0D> /usr/lib/libbsm.0.dylib
    0x7fff8cecf000 -     0x7fff8ced3fff  libCGXType.A.dylib (600.0.0 - compatibility 64.0.0) <5EEAD17D-006C-3855-8093-C7A4A97EE0D0>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
ylib
    0x7fff8cefe000 -     0x7fff8cf01fff  com.apple.help (1.3.2 - 42) <AB67588E-7227-3993-927F-C9E6DAC507FD>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff8cf17000 -     0x7fff8cf1cfff  libpam.2.dylib (3.0.0 - compatibility 3.0.0) <D952F17B-200A-3A23-B9B2-7C1F7AC19189> /usr/lib/libpam.2.dylib
    0x7fff8cf66000 -     0x7fff8cf8cff7  com.apple.framework.familycontrols (3.0 - 300) <72FEA71A-5865-3875-97E9-3C8C96B7F7FA>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff8cf8d000 -     0x7fff8db85fff  com.apple.AppKit (6.7 - 1138) <C8D2FDDA-B9D5-3948-A376-6B9B6F0596C6>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8dc34000 -     0x7fff8dca7fff  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <6BDD43E4-A4B1-379E-9ED5-8C713653DFF2>
/usr/lib/libstdc++.6.dylib
    0x7fff8dca8000 -     0x7fff8dcaffff  com.apple.NetFS (4.0 - 4.0) <B9F41443-679A-31AD-B0EB-36557DAF782B>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff8dcb0000 -     0x7fff8dd52ff7  com.apple.securityfoundation (5.0 - 55005) <0D59908C-A61B-389E-AF37-741ACBBA6A94>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff8dda5000 -     0x7fff8ddaafff  libcache.dylib (47.0.0 - compatibility 1.0.0) <B7757E2E-5A7D-362E-AB71-785FE79E1527>
/usr/lib/system/libcache.dylib
    0x7fff8ddab000 -     0x7fff8ddaffff  libdyld.dylib (195.5.0 - compatibility 1.0.0) <F1903B7A-D3FF-3390-909A-B24E09BAD1A5>
/usr/lib/system/libdyld.dylib
    0x7fff8e253000 -     0x7fff8e255ff7  com.apple.print.framework.Print (7.0 - 247) <579D7E49-A7F4-3C41-9434-3114B8A9B96C>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8e256000 -     0x7fff8e27eff7  com.apple.CoreVideo (1.7 - 70.0) <59D5B407-CCB6-3406-8C55-C1B0168D7DC2>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8e292000 -     0x7fff8e2f9fff  com.apple.Symbolication (1.2 - 87) <C8F38870-0C4E-3A7F-9B12-0E970DE92F24>
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8e2ff000 -     0x7fff8e501fff  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <82DCB94B-3819-3CC3-BC16-2AACA7F64F8A>
/usr/lib/libicucore.A.dylib
    0x7fff8e512000 -     0x7fff8e512fff  com.apple.vecLib (3.7 - vecLib 3.7) <29927F20-262F-379C-9108-68A6C69A03D0>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8e51f000 -     0x7fff8e520fff  libDiagnosticMessagesClient.dylib (? - ?) <3DCF577B-F126-302B-BCE2-4DB9A95B8598>
/usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff8e56a000 -     0x7fff8e61cfff  com.apple.CoreText (4.0.0 - ?) <D7BD85FD-277A-3A97-B1AD-5EE14215237E>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8e61d000 -     0x7fff8e620fff  libCoreVMClient.dylib (? - ?) <9E9F7B24-567C-3102-909C-219CF2B191FD>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff8e621000 -     0x7fff8e667ff7  libcurl.4.dylib (7.0.0 - compatibility 7.0.0) <EAF61ADC-DC00-34CE-B23E-7238ED54E31D> /usr/lib/libcurl.4.dylib
    0x7fff8e668000 -     0x7fff8e669fff  libsystem_sandbox.dylib (? - ?) <8D14139B-B671-35F4-9E5A-023B4C523C38>
/usr/lib/system/libsystem_sandbox.dylib
    0x7fff8e66a000 -     0x7fff8e675ff7  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <8FF3D766-D678-36F6-84AC-423C878E6D14>
/usr/lib/libc++abi.dylib
    0x7fff8e676000 -     0x7fff8e6f8fff  com.apple.Metadata (10.7.0 - 627.9) <F293A9A7-9790-3629-BE81-D19C158C5EA4>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff8e74d000 -     0x7fff8e859fef  libcrypto.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <3AD29F8D-E3BC-3F49-A438-2C8AAB71DC99>
/usr/lib/libcrypto.0.9.8.dylib
    0x7fff8e85a000 -     0x7fff8e8d5ff7  com.apple.print.framework.PrintCore (7.0 - 366) <E663DF78-6729-332D-B763-ABB63A6BBB55>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8e8d6000 -     0x7fff8e9ebfff  com.apple.DesktopServices (1.6.0 - 1.6.0) <208D40FC-8BBE-330F-B999-18771BEA6895>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8ea43000 -     0x7fff8ea82fff  com.apple.AE (527.6 - 527.6) <6F8DF9EF-3250-3B7F-8841-FCAD8E323954>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8ea90000 -     0x7fff8ea91fff  libunc.dylib (24.0.0 - compatibility 1.0.0) <C67B3B14-866C-314F-87FF-8025BEC2CAAC>
/usr/lib/system/libunc.dylib
    0x7fff8ec1d000 -     0x7fff8ec1dfff  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <61EFED6A-A407-301E-B454-CD18314F0075>
/usr/lib/system/libkeymgr.dylib
    0x7fff8ef48000 -     0x7fff8f52cfaf  libBLAS.dylib (? - ?) <D62D6A48-5C7A-3ED6-875D-AA3C2C5BF791>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff8f55e000 -     0x7fff8f5cefff  com.apple.datadetectorscore (3.0 - 179.3) <AFFBD606-91DE-3F91-8E38-C037D9FBFA8B>
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff8f617000 -     0x7fff8f63aff7  com.apple.RemoteViewServices (1.0 - 1) <EB549657-8EDC-312A-B8BE-DEC3E160AC3D>
/System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff8f63b000 -     0x7fff8f656fff  libexpat.1.dylib (7.2.0 - compatibility 7.0.0) <DDB91E75-A2FA-331F-8069-999127AC6A9D>
/usr/lib/libexpat.1.dylib
    0x7fff8f6ce000 -     0x7fff8f6edfff  libresolv.9.dylib (46.0.0 - compatibility 1.0.0) <33263568-E6F3-359C-A4FA-66AD1300F7D4>
/usr/lib/libresolv.9.dylib
    0x7fff8f70e000 -     0x7fff8f9e5fff  com.apple.security (7.0 - 55010) <2418B583-D3BD-3BC5-8B07-8289C8A5B43B>
/System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8f9e6000 -     0x7fff8f9e6fff  com.apple.Accelerate (1.7 - Accelerate 1.7) <3E4582EB-CFEF-34EA-9DA8-8421F1C3C77D>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff8f9e7000 -     0x7fff8f9e9fff  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <4C3BFBC7-E592-3939-B376-1C2E2D7C5389>
/usr/lib/system/libquarantine.dylib
    0x7fff8fd42000 -     0x7fff8fd49fff  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <172B1985-F24A-34E9-8D8B-A2403C9A0399>
/usr/lib/system/libcopyfile.dylib
    0x7fff8fd4a000 -     0x7fff8fd8dff7  libRIP.A.dylib (600.0.0 - compatibility 64.0.0) <2B1571E1-8E87-364E-BC36-C9C9B5D3EAC4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff8fd8e000 -     0x7fff8fdcdff7  libGLImage.dylib (? - ?) <29F82AD9-45F0-3AC5-A4A4-B767EC555D82>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff90211000 -     0x7fff903d2fe7  com.apple.CoreData (103 - 358.4) <8D8ABA2E-0161-334D-A7C9-79E5297E188B>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff903dd000 -     0x7fff903fdfff  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <69F2F501-72D8-3B3B-8357-F4418B3E1348>
/usr/lib/system/libsystem_kernel.dylib
    0x7fff903fe000 -     0x7fff90400fff  com.apple.TrustEvaluationAgent (2.0 - 1) <80AFB5D8-5CC4-3A38-83B9-A7DF5820031A>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff90401000 -     0x7fff90406fff  libGIF.dylib (? - ?) <21851808-BFD2-3141-8354-A419479726BF>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff90407000 -     0x7fff9041dfff  libGL.dylib (? - ?) <22064411-0A62-373C-828B-0AA2BA2A8D34>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff9041e000 -     0x7fff90502def  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <C5F2392D-B481-3A9D-91BE-3D039FFF4DEC>
/usr/lib/libobjc.A.dylib
    0x7fff90503000 -     0x7fff90503fff  com.apple.Carbon (153 - 153) <895C2BF2-1666-3A59-A669-311B1F4F368B>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff90599000 -     0x7fff90638fff  com.apple.LaunchServices (480.19 - 480.19) <41ED4C8B-C74B-34EA-A9BF-34DBA5F52307>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff90661000 -     0x7fff90764fff  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <ED5E84C6-646D-3B70-81D6-7AF957BEB217> /usr/lib/libsqlite3.dylib
    0x7fff90adb000 -     0x7fff90b32fff  libTIFF.dylib (? - ?) <9E32B490-4C5B-3D96-AF27-9C085C606403>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff90bc1000 -     0x7fff90becff7  libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <8051A3FC-7385-3EA9-9634-78FC616C3E94> /usr/lib/libxslt.1.dylib
    0x7fff90bed000 -     0x7fff90bf3fff  libmacho.dylib (800.0.0 - compatibility 1.0.0) <D86F63EC-D2BD-32E0-8955-08B5EAFAD2CC>
/usr/lib/system/libmacho.dylib
    0x7fff90bf4000 -     0x7fff90cd2ff7  com.apple.ImageIO.framework (3.1.0 - 3.1.0) <70228E69-063C-32FF-BBE7-FCCD9C5C0864>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff90d1e000 -     0x7fff90d26fff  libsystem_dnssd.dylib (? - ?) <7749128E-D0C5-3832-861C-BC9913F774FA>
/usr/lib/system/libsystem_dnssd.dylib
    0x7fff91460000 -     0x7fff91504fef  com.apple.ink.framework (1.3.2 - 110) <F69DBD44-FEC8-3C14-8131-CC0245DBBD42>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff91726000 -     0x7fff91734fff  com.apple.NetAuth (1.0 - 3.0) <F384FFFD-70F6-3B1C-A886-F5B446E456E7>
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff91749000 -     0x7fff91772fff  com.apple.CoreServicesInternal (113.7 - 113.7) <ACAC98CD-5941-39DB-951A-2509DCCD22FD>
/System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff917e7000 -     0x7fff917fbff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <04C31EF0-912A-3004-A08F-CEC27030E0B2>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 3
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 8422
    thread_create: 0
    thread_set_state: 0
VM Region Summary:
ReadOnly portion of Libraries: Total=199.5M resident=154.9M(78%) swapped_out_or_unallocated=44.5M(22%)
Writable regions: Total=672.5M written=553.0M(82%) resident=614.6M(91%) swapped_out=28K(0%) unallocated=57.9M(9%)

REGION TYPE                      VIRTUAL===========                      =======
CG backing stores                  3336K
CG image                              4K
CG raster data                       64K
CG shared images                   3448K
CoreGraphics                         16K
CoreServices                       2060K
IOKit                              39.3M
MALLOC                            589.9M
MALLOC guard page                    32K
Memory tag=240                        4K
Memory tag=242                       12K
STACK GUARD                        56.0M
Stack                              11.6M
VM_ALLOCATE                        16.2M
_CI_BITMAP                          80K
_DATA                             14.5M
_IMAGE                            1256K
_LINKEDIT                         61.3M
_TEXT                            138.2M
_UNICODE                           544K
mapped file                        30.7M
shared memory                      10.0M===========                      =======
TOTAL                             978.1M

#2 - 09/03/2011 12:25 am - Sywindt

It appears that this crash is caused by water textures:

1 com.winchgate.Ryzom 0x0000000100fa859b NL3D::CWaterHeightMap::~CWaterHeightMap() + 2571

#3 - 09/03/2011 12:35 am - Sywindt

Adding

DisableTextureShdr = 1;

to client.cfg fixes the issue

#4 - 12/07/2011 03:58 am - sfb
- Status changed from New to Validated

Hmn. We've run into this problem in the past. I know that ace battled with this in MTP Target. I'd like to leave this open as I think this is something that
should be fixed. The 'fix' is really a pretty terrible solution that vastly reduces water quality and performance.
